org.codehaus.groovy.binding

## Class PropertyChangeProxyTargetBinding

- java.lang.Object
- - org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

- All Implemented Interfaces:
    TargetBinding

      public class PropertyChangeProxyTargetBinding
      extends java.lang.Object
      implements TargetBinding

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyChangeProxyTargetBinding(java.lang.Object proxyObject, java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateTargetValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeProxyTargetBinding

          public PropertyChangeProxyTargetBinding(java.lang.Object proxyObject,
                                          java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  - ### Method Detail

    - #### updateTargetValue

          public void updateTargetValue(java.lang.Object value)

      Specified by:
        `updateTargetValue` in interface `TargetBinding`